Bug Hunting Session
Bug 81809 - Certain writer tables with merged cells cannot be formatted
Summary: Certain writer tables with merged cells cannot be formatted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2014-07-27 14:15 UTC by Matthew Francis
Modified: 2019-06-13 03:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document used to demostrate the bug (9.23 KB, application/vnd.oasis.opendocument.text)
2014-07-27 14:15 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-07-27 14:15:55 UTC
Created attachment 103545 [details]
Document used to demostrate the bug

Certain Writer tables with merged cells cannot be formatted, even when the geometry in question is relatively simple

Steps to reproduce
1. Create a 3x3 table in a Writer document
2. Merge cells A2:A3 and C2:C3
3. Select all within the table

Results
1. Almost all text and table formatting options are greyed out
2. The text formatting options which are not greyed out (e.g. text colour, text highlight) have no effect on the selected text (cells) when invoked
Comment 1 Matthew Francis 2014-07-28 02:03:47 UTC
Note: Due to bug 72486, if the table is the very first thing in the document, selecting all will select-all the document rather than the table. To work around this when reproducing the bug, make sure the document starts with a blank paragraph before the table
Comment 2 Matthew Francis 2014-07-30 14:15:16 UTC
Still occurs in 4.3.0.4 release, with the slight consistency improvement(?) that "text colour" and "text highlight" are now just as disabled as all the other formatting options
Comment 3 A (Andy) 2014-07-30 20:18:55 UTC
reproducible with LO 4.3.0.4 (Win 8.1)


As reported by Matthew: Two issues are important to reproduce this bug:

1. You need to insert a line before the new table.  If you open a new document and insert the table in the first line then it is not reproducible.

2. You have to select all cells by clicking CTRL + A.  If you try to select the cells with your PC mouse you will not be able to select all cells (another bug) and then it is also not reproducible.
Comment 4 tommy27 2016-04-16 07:28:07 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:25:49 UTC Comment hidden (obsolete)
Comment 6 Phil Krylov 2018-06-12 11:55:17 UTC
The bug is reproducible with the current master build:

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 4; OS: Mac OS X 10.9.5; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en.UTF-8); Calc: group threaded
Comment 7 QA Administrators 2019-06-13 03:00:51 UTC
Dear Matthew Francis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug